summaryrefslogtreecommitdiff
path: root/tcwg-benchmark.sh
diff options
context:
space:
mode:
authorMaxim Kuvyrkov <maxim.kuvyrkov@linaro.org>2021-07-29 10:14:04 +0000
committerMaxim Kuvyrkov <maxim.kuvyrkov@linaro.org>2021-07-29 14:01:54 +0000
commit3777e6d90ef591877fe178fa2b4e63cbce37f3a6 (patch)
tree29d5493bf2d9aa27be8dd8feac711a242c711f2c /tcwg-benchmark.sh
parentd29d157e64d0f94feb69bb59b87c4cd91dc13fd3 (diff)
tcwg-benchmark.sh: Fix handling of ccprefix for rsync:// protocol
Change-Id: I11cd5da279d8257fa897148dd3d60c749ea79a40
Diffstat (limited to 'tcwg-benchmark.sh')
-rwxr-xr-xtcwg-benchmark.sh25
1 files changed, 14 insertions, 11 deletions
diff --git a/tcwg-benchmark.sh b/tcwg-benchmark.sh
index 1d8db998..1c0d5c69 100755
--- a/tcwg-benchmark.sh
+++ b/tcwg-benchmark.sh
@@ -196,26 +196,29 @@ case "$toolchain_type" in
;;
esac
-case "$toolchain_type" in
- "gnu") ccname="gcc" ;;
- "llvm") ccname="clang" ;;
-esac
-ccpath=$($maybe_remote find "$toolchaindir" -path "*bin/*$ccname")
-if [ "$(echo "$ccpath" | wc -w)" -ne 1 ]; then
- echo "ERROR: found more than one compiler: $ccpath"
- exit 1
-fi
-
# Non-ssh:// cases have to copy the just-copied toolchain to
# the remote build container. For ssh://, we'll access the
# toolchain remotely.
case "$toolchain_url" in
"ssh://"*) ;;
*)
+ case "$toolchain_type" in
+ "gnu") ccname="gcc" ;;
+ "llvm") ccname="clang" ;;
+ esac
+
+ ccpath=$($maybe_remote find "$toolchaindir" -path "*bin/*$ccname")
+ if [ "$(echo "$ccpath" | wc -w)" -ne 1 ]; then
+ echo "ERROR: found more than one compiler: $ccpath"
+ exit 1
+ fi
+
ccprefix=$(echo "$ccpath" | sed -e "s/$ccname\$//")
# Copy toolchain to the build container.
rsync -a --delete -e "ssh -p$build_container_port" "$toolchaindir/" "$build_container_host:$toolchaindir/"
- ccprefix="$build_container_host:$build_container_port:$ccprefix"
+ if [ x"$builder" != x"bmk_board" ]; then
+ ccprefix="$build_container_host:$build_container_port:$ccprefix"
+ fi
;;
esac